@import url('https://fonts.googleapis.com/css2?family=Poppins:wght@300;400;500;600;800;900&display=swap');

:root {
    --main-color: #000;
}

::-webkit-scrollbar {
    width: 10px
}

::-webkit-scrollbar-track {
    /* box-shadow: inset 0 0 5px grey; */
    border-radius: 0
}

::-webkit-scrollbar-thumb {
    background: var(--main-color);
    border-radius: 0
}

* {
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    font-family: "Poppins", sans-serif;
}

html,
body {
    width: 100%;
    height: 100%;
}


label {
    display: none;
}

#check {
    z-index: 3;
    display: none;
}
header {
    position: fixed;
    z-index: 100;
    top: 0;
    width: 100%;
    padding: 10px 100px;
    display: flex;
    justify-content: space-between;
    align-items: center;
    background-color: white;
}

header img {
    width: auto;
    height: 50px;
    /* padding: 10px; */
    border-radius: 5px;
    display: flex;
    margin-top: 13px;
    opacity: 25%;
    position: absolute;
    left: 177px;
    z-index: -1;
}

.navigation {
    display: flex;
    justify-content: space-between;
    gap: 30px;
    padding: 10px;
    background-color: white;
    border-radius: 10px;
}

.navigation a {
    color: rgb(0, 0, 0);
    text-decoration: none;
    font-size: 18px;
    font-weight: 500;
    letter-spacing: 1px;
    padding: 8px 15px;
    border-radius: 5px;
    transition: 0.3s;
    white-space: nowrap;
}

.navigation a:hover {
    background: var(--main-color);
    color: rgb(255, 255, 255);
}

header span {
    color: white;
}

header .logo {
    position: relative;
    color: rgb(0, 0, 0);
    font-size: 45px;
    text-decoration: none;
    text-transform: uppercase;
    font-weight: 800;
    letter-spacing: 1px;
    text-shadow: 1px 1px 2px rgb(0, 0, 0);
    display: flex;
}

.dropdown {
    float: right;
    overflow: hidden;
}

.dropdown .dropbtn {
    font-size: 18px;
    border: none;
    outline: none;
    color: rgb(0, 0, 0);
    padding: 8px 20px;
    /* background-color: white; */
    margin: 0;
    letter-spacing: 1px;
    white-space: nowrap;
    font-weight: 500;
    background: none;
    border-radius: 5px;
    width: 142px;
    background: var(--main-color);
    color: white;
}

.navbar a:hover,
.dropdown:hover .dropbtn {
    background-color: var(--main-color);
    color: white;
    transition: 0.3s;
}

.dropdown-content {
    display: none;
    position: absolute;
    background-color: #ffffff;
    min-width: 142px;
    box-shadow: 0px 8px 16px 0px rgba(0, 0, 0, 0.2);
    z-index: 1;
    border-radius: 5px;
}

.dropdown-content a {
    float: none;
    color: black;
    padding: 12px 16px;
    text-decoration: none;
    display: block;
    text-align: left;
    white-space: nowrap;
}

.dropdown-content a:hover {
    background-color: rgb(255, 255, 255);
}

.dropdown:hover .dropdown-content {
    display: block;
}

.dropdown-content a {
    margin: 5px;
    border-radius: 0px;
    padding: 10px;
    text-align: center;
    border-radius: 5px;
}


.navigation .dropdown .dropdown-content .link:hover {
    background-color: var(--color);
    color: rgb(255, 255, 255);
}

.scolling {
    background-color: white;
    box-shadow: 0 1px 1px rgb(0 0 0 / 8%), 0 2px 2px rgb(0 0 0 / 12%), 0 4px 4px rgb(0 0 0 / 16%), 0 8px 8px rgb(0 0 0 / 5%);
    transition: box-shadow 0.5s;
}

.scroll_at_top {
    box-shadow: 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%), 0 0px 0px rgb(0 0 0 / 0%);
    transition: box-shadow 0.5s;
}


@media (max-width: 1501px) {

    header {
        padding: 20px 30px;
        min-width: 380px;
    }

    #navbar .navigation {
        display: none;
    }

    #nav_box {
        display: flex;
        background-color: white;
        padding: 13px;
        border-radius: 5px;
        font-size: 25px;
        cursor: pointer;
        transition: 0.3s;
        transition-property: color;
    }

    label .close-btn {
        display: none;
    }

    #check:checked~header .navigation {
        z-index: 5;
        position: fixed;
        background: rgba(255, 255, 255, 0.9);
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
        gap: 30px;
    }

    #check:checked~header .navigation a {
        font-weight: 700;
        letter-spacing: 2px;
    }

    #check:checked~header label .menu-btn {
        display: none;
    }

    #check:checked~header label .close-btn {
        z-index: 5;
        display: block;
        position: relative;
    }

    .dropdown .dropbtn {
        font-weight: 700;
    }
}

@media(max-width: 1100px) {

    header .navigation {
        display: none;
    }

    label {
        display: block;
        font-size: 25px;
        cursor: pointer;
        transition: 0.3s;
        transition-property: color;
    }

    label .close-btn {
        display: none;
    }

    #check:checked~header .navigation {
        z-index: 2;
        position: fixed;
        background: rgba(255, 255, 255, 0.9);
        top: 0;
        bottom: 0;
        right: 0;
        left: 0;
        display: flex;
        flex-direction: column;
        justify-content: center;
        align-items: center;
    }

    #check:checked~header .navigation a {
        font-weight: 700;
        margin-right: 0;
        margin-bottom: 50px;
        letter-spacing: 2px;
    }

    #check:checked~header label .menu-btn {
        display: none;
    }

    #check:checked~header label .close-btn {
        z-index: 5;
        display: block;
        position: relative;
    }
}